]> SALOME platform Git repositories - tools/sat_salome.git/commitdiff
Salome HOME
generic gcc
authorNabil Ghodbane <nabil.ghodbane@cea.fr>
Tue, 26 Jan 2021 08:46:23 +0000 (09:46 +0100)
committerNabil Ghodbane <nabil.ghodbane@cea.fr>
Tue, 26 Jan 2021 08:46:23 +0000 (09:46 +0100)
products/compil_scripts/gcc.sh [new file with mode: 0755]
products/gcc.pyconf

diff --git a/products/compil_scripts/gcc.sh b/products/compil_scripts/gcc.sh
new file mode 100755 (executable)
index 0000000..1eb552c
--- /dev/null
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+echo "##########################################################################"
+echo "gcc" $VERSION
+echo "##########################################################################"
+
+CONFIGURE_FLAGS=''
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-languages=c,c++,fortran"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-checking=release"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --disable-multilib"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-shared=yes"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-threads=posix"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-plugins"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-ld"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-bootstrap"
+
+echo "*** configure --prefix=${PRODUCT_INSTALL} ${CONFIGURE_FLAGS}"
+$SOURCE_DIR/configure --prefix=${PRODUCT_INSTALL} ${CONFIGURE_FLAGS}
+if [ $? -ne 0 ]
+then
+    echo "ERROR on configure"
+    exit 1
+fi
+
+echo
+echo "*** make" $MAKE_OPTIONS
+make $MAKE_OPTIONS
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make"
+    exit 2
+fi
+
+echo
+echo "*** make install"
+make install
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make install"
+    exit 3
+fi
+
+echo
+echo "########## END"
index b3ad62f98419609abf409263197538a320982f1e..22467721f7345214c77247246fdea27f8bd2fd5a 100644 (file)
@@ -2,7 +2,7 @@ default :
 {
     name : "gcc"
     build_source : "script"
-    compil_script : $name + "-" + $APPLICATION.products.gcc + $VARS.scriptExtension
+    compil_script : $name + $VARS.scriptExtension
     get_source : "archive"
     environ :
     {
@@ -18,3 +18,9 @@ default :
       incremental : "yes"
     }
 }
+
+version_6_3_0:
+{
+    compil_script : 'gcc-6.3.0.sh'
+
+}
\ No newline at end of file